#include "chdecl.h"
void CH_check(current, sched, cop)
#define ARGUMENTS 12
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb10;
    case 5: goto c12;
    case 4: goto c15;
    case 6: goto c15;
    case 7: goto c16;
    case 8: goto cb19;
    case 9: goto c20;
    case 10: goto cb23;
    case 11: goto c24;
    case 12: goto cb27;
    case 13: goto c28;
    case 14: goto cb31;
    case 15: goto c32;
    case 16: goto cb35;
    case 17: goto c36;
    case 18: goto cb39;
    case 19: goto c40;
    case 20: goto cb43;
    case 21: goto c44;
    case 22: goto cb47;
    case 23: goto c48;
    case 24: goto cb51;
    case 25: goto c52;
    case 26: goto cb55;
    case 27: goto c56;
    case 28: goto cb61;
    case 29: goto c62;
    case 30: goto cb66;
    case 31: goto c67;
    case 32: goto cb71;
    case 33: goto c72;
    case 34: goto cb74;
    case 35: goto c75;
    case 36: goto cb79;
    case 37: goto c80;
    case 38: goto c91;
    case 39: goto cb97;
    case 41: goto c99;
    case 42: goto c101;
    case 43: goto cb103;
    case 40: goto c105;
    case 45: goto c105;
    case 44: goto c106;
    case 46: goto c106;
    case 47: goto c124;
    case 48: goto c128;
    case 49: goto c131;
    case 50: goto cb140;
    case 51: goto c141;
    case 52: goto c146;
    case 53: goto cb154;
    case 54: goto c155;
    case 55: goto c158;
    case 56: goto c160;
    case 57: goto c168;
    case 58: goto c170;
    case 59: goto c182;
    case 60: goto cb190;
    case 61: goto c191;
    case 62: goto c194;
    case 63: goto c196;
    case 64: goto c205;
    case 65: goto c214;
    case 66: goto c222;
    case 67: goto c232;
    case 68: goto c237;
    case 69: goto c250;
    case 70: goto c282;
    case 71: goto c298;
    case 72: goto cb299;
    case 73: goto c300;
    case 74: goto c303;
    case 75: goto cb310;
    case 76: goto c311;
    case 77: goto c317;
    case 78: goto c319;
    case 79: goto c327;
    case 80: goto c330;
    case 81: goto cb337;
    case 82: goto c338;
    case 83: goto c339;
    case 84: goto c342;
    case 85: goto c352;
    case 86: goto c358;
    case 87: goto c360;
    case 88: goto c407;
    case 89: goto c441;
    case 90: goto c478;
    case 91: goto c490;
    case 92: goto c571;
    case 93: goto c611;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* copy 4 3.0 */
  if((ch_returncode = (REF(3)DOT(0).tsdr->copy)(& ch_val, REF(3)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = datarepmap[REF(3)DOT(0).tsdr->number];
/* copy 5 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* new_inport 6 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val; REF(6).tsdr = & dr_inport;
/* connect 3.2 6 */
  if (REF(6).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(6).value.inport->refcount++;
  REF(3)DOT(2).value.outport = REF(6).value.inport;
  REF(3)DOT(2).tsdr = & dr_outport;
/* new_inport 7 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_inport;
/* connect 3.3 7 */
  if (REF(7).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(7).value.inport->refcount++;
  REF(3)DOT(3).value.outport = REF(7).value.inport;
  REF(3)DOT(3).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
  current->ip = 3;
cb10:
/* select 7 * 6 * , 2 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(7),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(6),
          arguments[3] = NO_OBJECT,
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 3) return; else COMPUTE_TARGET;
c12:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c11:
c15:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c16:
/* new_record 8 , 11 */
  if ((ch_val.record = new_record(11)) == nil) goto ch_depletion;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val; REF(8).tsdr = & dr_record;
/* chs_lit 9 , "load" */
  if( !chs_lit(DEF(9),"load") ) goto ch_depletion;
/* chs_lit 10 , "" */
  if( !chs_lit(DEF(10),"") ) goto ch_depletion;
  current->ip = 8;
cb19:
/* call 5.2 9 10 11 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(9),
          arguments[2] = DEF(10),
          arguments[3] = DEF(11),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c20:
/* unwrap 8.0 11 , 6 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(0),DEF(11),QUAL(6)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 12 , "pathLoad" */
  if( !chs_lit(DEF(12),"pathLoad") ) goto ch_depletion;
/* chs_lit 13 , "" */
  if( !chs_lit(DEF(13),"") ) goto ch_depletion;
  current->ip = 10;
cb23:
/* call 5.2 12 13 14 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(12),
          arguments[2] = DEF(13),
          arguments[3] = DEF(14),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c24:
/* unwrap 8.1 14 , 6 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(1),DEF(14),QUAL(6)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 15 , "readObj" */
  if( !chs_lit(DEF(15),"readObj") ) goto ch_depletion;
/* chs_lit 16 , "" */
  if( !chs_lit(DEF(16),"") ) goto ch_depletion;
  current->ip = 12;
cb27:
/* call 5.2 15 16 17 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(15),
          arguments[2] = DEF(16),
          arguments[3] = DEF(17),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c28:
/* unwrap 8.2 17 , 7 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(2),DEF(17),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 18 , "pathReadObj" */
  if( !chs_lit(DEF(18),"pathReadObj") ) goto ch_depletion;
/* chs_lit 19 , "" */
  if( !chs_lit(DEF(19),"") ) goto ch_depletion;
  current->ip = 14;
cb31:
/* call 5.2 18 19 20 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(18),
          arguments[2] = DEF(19),
          arguments[3] = DEF(20),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c32:
/* unwrap 8.3 20 , 7 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(3),DEF(20),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 21 , "writeObj" */
  if( !chs_lit(DEF(21),"writeObj") ) goto ch_depletion;
/* chs_lit 22 , "" */
  if( !chs_lit(DEF(22),"") ) goto ch_depletion;
  current->ip = 16;
cb35:
/* call 5.2 21 22 23 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(21),
          arguments[2] = DEF(22),
          arguments[3] = DEF(23),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c36:
/* unwrap 8.4 23 , 8 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(4),DEF(23),QUAL(8)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 24 , "store" */
  if( !chs_lit(DEF(24),"store") ) goto ch_depletion;
/* chs_lit 25 , "" */
  if( !chs_lit(DEF(25),"") ) goto ch_depletion;
  current->ip = 18;
cb39:
/* call 5.2 24 25 26 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(24),
          arguments[2] = DEF(25),
          arguments[3] = DEF(26),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c40:
/* unwrap 8.6 26 , 9 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(6),DEF(26),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 27 , "libWriteObj" */
  if( !chs_lit(DEF(27),"libWriteObj") ) goto ch_depletion;
/* chs_lit 28 , "" */
  if( !chs_lit(DEF(28),"") ) goto ch_depletion;
  current->ip = 20;
cb43:
/* call 5.2 27 28 29 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(27),
          arguments[2] = DEF(28),
          arguments[3] = DEF(29),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c44:
/* unwrap 8.5 29 , 8 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(5),DEF(29),QUAL(8)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 30 , "libStore" */
  if( !chs_lit(DEF(30),"libStore") ) goto ch_depletion;
/* chs_lit 31 , "" */
  if( !chs_lit(DEF(31),"") ) goto ch_depletion;
  current->ip = 22;
cb47:
/* call 5.2 30 31 32 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(30),
          arguments[2] = DEF(31),
          arguments[3] = DEF(32),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c48:
/* unwrap 8.7 32 , 9 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(7),DEF(32),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 33 , "getCwd" */
  if( !chs_lit(DEF(33),"getCwd") ) goto ch_depletion;
/* chs_lit 34 , "" */
  if( !chs_lit(DEF(34),"") ) goto ch_depletion;
  current->ip = 24;
cb51:
/* call 5.2 33 34 35 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(33),
          arguments[2] = DEF(34),
          arguments[3] = DEF(35),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c52:
/* unwrap 8.8 35 , 10 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(8),DEF(35),QUAL(10)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 36 , "setCwd" */
  if( !chs_lit(DEF(36),"setCwd") ) goto ch_depletion;
/* chs_lit 37 , "" */
  if( !chs_lit(DEF(37),"") ) goto ch_depletion;
  current->ip = 26;
cb55:
/* call 5.2 36 37 38 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(5)DOT(2),
          arguments[1] = DEF(36),
          arguments[2] = DEF(37),
          arguments[3] = DEF(38),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c56:
/* unwrap 8.9 38 , 11 */
  if ((ch_returncode = che_unwrap(DEF(8)DOT(9),DEF(38),QUAL(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* copy 8.10 4 */
  if((ch_returncode = (REF(4).tsdr->copy)(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8)DOT(10).tsdr)->finalize)(REF(8)DOT(10).value,F_DISCARD,sched);
  REF(8)DOT(10).value = ch_val;
  REF(8)DOT(10).tsdr = datarepmap[REF(4).tsdr->number];
/* boolean 39 , TRUE */
  REF(39).value.boolean = TRUE;
  REF(39).tsdr = & dr_boolean;
/* chs_lit 40 , "type" */
  if( !chs_lit(DEF(40),"type") ) goto ch_depletion;
  current->ip = 28;
cb61:
/* call 8.1 40 41 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(40),
          arguments[2] = DEF(41),
          arguments[2+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c62:
/* procedure 42 41 , 13 */
  if ((ch_returncode = che_procedure(DEF(42),DEF(41),QUAL(13)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* move 43 42 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43) = REF(42);
  REF(42).tsdr = & dr_bottom;
/* chs_lit 44 , "typestate" */
  if( !chs_lit(DEF(44),"typestate") ) goto ch_depletion;
  current->ip = 30;
cb66:
/* call 8.1 44 45 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(44),
          arguments[2] = DEF(45),
          arguments[2+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c67:
/* procedure 46 45 , 14 */
  if ((ch_returncode = che_procedure(DEF(46),DEF(45),QUAL(14)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* move 47 46 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47) = REF(46);
  REF(46).tsdr = & dr_bottom;
/* chs_lit 48 , "checking_table.ho" */
  if( !chs_lit(DEF(48),"checking_table.ho") ) goto ch_depletion;
  current->ip = 32;
cb71:
/* call 8.3 48 49 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(3),
          arguments[1] = DEF(48),
          arguments[2] = DEF(49),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c72:
/* unwrap 50 49 , 16 */
  if ((ch_returncode = che_unwrap(DEF(50),DEF(49),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 51 , "codegen" */
  if( !chs_lit(DEF(51),"codegen") ) goto ch_depletion;
  current->ip = 34;
cb74:
/* call 8.1 51 52 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(51),
          arguments[2] = DEF(52),
          arguments[2+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c75:
/* procedure 53 52 , 17 */
  if ((ch_returncode = che_procedure(DEF(53),DEF(52),QUAL(17)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* move 54 53 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54) = REF(53);
  REF(53).tsdr = & dr_bottom;
/* chs_lit 55 , "fakechecked" */
  if( !chs_lit(DEF(55),"fakechecked") ) goto ch_depletion;
  current->ip = 36;
cb79:
/* call 8.1 55 56 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(8)DOT(1),
          arguments[1] = DEF(55),
          arguments[2] = DEF(56),
          arguments[2+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c80:
/* procedure 57 56 , 18 */
  if ((ch_returncode = che_procedure(DEF(57),DEF(56),QUAL(18)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* move 58 57 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58) = REF(57);
  REF(57).tsdr = & dr_bottom;
/* prog_lit 59 , 19 */
  if ((ch_returncode = che_prog_lit(DEF(59),QUAL(19),sched)) != Normal) 
     goto ch_raise_exception;
/* create 60 59 , 20 */
  if ((ch_returncode = che_create(DEF(60),DEF(59),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* move 61 60 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61) = REF(60);
  REF(60).tsdr = & dr_bottom;
/* prog_lit 62 , 21 */
  if ((ch_returncode = che_prog_lit(DEF(62),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* create 63 62 , 22 */
  if ((ch_returncode = che_create(DEF(63),DEF(62),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* move 64 63 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64) = REF(63);
  REF(63).tsdr = & dr_bottom;
c91:
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* block , 23 */
  if((ch_returncode = che_block(QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
/* not 67 39 */
  REF(67).value.boolean = !REF(39).value.boolean;
  REF(67).tsdr = & dr_boolean;
  current->ip = 39;
cb97:
/* select 7 67 6 * , 24 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(7),
          arguments[1] = DEF(67),
          arguments[2] = DEF(6),
          arguments[3] = NO_OBJECT,
          arguments[3+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 39) return; else COMPUTE_TARGET;
c99:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c101:
/* boolean 39 , FALSE */
  REF(39).value.boolean = FALSE;
  REF(39).tsdr = & dr_boolean;
  current->ip = 43;
cb103:
/* receive 68 6 */
  if ((ch_returncode = che_receive(DEF(68),DEF(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c98:
c105:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c104:
c106:
/* copy 66 68.0 */
  if((ch_returncode = (REF(68)DOT(0).tsdr->copy)(& ch_val, REF(68)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).value = ch_val;
  REF(66).tsdr = datarepmap[REF(68)DOT(0).tsdr->number];
/* new_table 68.1 , 25 */
  if ((ch_returncode = che_new_table(DEF(68)DOT(1),QUAL(25)
    ,sched)) != Normal)  goto ch_raise_exception;
/* block , 26 */
  if((ch_returncode = che_block(QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
/* typename 65 , 27 */
  if ((ch_returncode = che_typename(DEF(65),QUAL(27),sched)) != Normal) 
     goto ch_raise_exception;
/* boolean 69 , FALSE */
  REF(69).value.boolean = FALSE;
  REF(69).tsdr = & dr_boolean;
/* find_or_goto 70 66.0 65.0 , 0,114 */
  if (findfunc(DEF(70),DEF(66)DOT(0),(
          arguments[0] = DEF(65)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto c114;
/* boolean 69 , TRUE */
  REF(69).value.boolean = TRUE;
  REF(69).tsdr = & dr_boolean;
c114:
/* not 71 69 */
  REF(71).value.boolean = !REF(69).value.boolean;
  REF(71).tsdr = & dr_boolean;
/* branch_false 71 , 128 */
  if ( !REF(71).value.boolean ) goto c128;
/* block , 28 */
  if((ch_returncode = che_block(QUAL(28),sched)) != Normal)
     goto ch_raise_exception;
/* currentprogram 72 */
  if ((ch_val.program = make_pgm_copy(sched->ready->prog)) == nil)
     goto ch_depletion;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val; REF(72).tsdr = & dr_program;
/* find 73 72.0 65.0 , 0 */
  if (findfunc(DEF(73),DEF(72)DOT(0),(
          arguments[0] = DEF(65)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 74 73 */
  if((ch_returncode = (REF(73).tsdr->copy)(& ch_val, REF(73).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).value = ch_val;
  REF(74).tsdr = datarepmap[REF(73).tsdr->number];
/* insert 66.0 74 */
  if ((ch_returncode = insertfunc(DEF(66)DOT(0),DEF(74),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 128 */
   goto c128;
c124:
/* chs_lit 75 , "Whoa! predefined not found, and we needed it in check.p!!" */
  if( !chs_lit(DEF(75),
    "Whoa! predefined not found, and we needed it in check.p!!") )
     goto ch_depletion;
/* print 75 */
  re_print(stderr, 0, DEF(75)); fflush(stderr);
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* exit , 29 */
  ch_e = handler_type__exit; ch_val = QUAL(29); goto ch_exception;
c128:
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 140 */
   goto c140;
c131:
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* chs_lit 76 , "error in block 1 of check.p" */
  if( !chs_lit(DEF(76),"error in block 1 of check.p") ) goto ch_depletion;
/* print 76 */
  re_print(stderr, 0, DEF(76)); fflush(stderr);
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* exit , 30 */
  ch_e = handler_type__exit; ch_val = QUAL(30); goto ch_exception;
c140:
  current->ip = 50;
cb140:
/* call 64 66 77 , 31 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(64),
          arguments[1] = DEF(66),
          arguments[2] = DEF(77),
          arguments[2+1] = nil,& arguments[0]),QUAL(31),sched)) != Normal)
     goto ch_raise_exception;
  return;
c141:
/* move 78 77 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78) = REF(77);
  REF(77).tsdr = & dr_bottom;
/* block , 32 */
  if((ch_returncode = che_block(QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
/* new_table 79 , 33 */
  if ((ch_returncode = che_new_table(DEF(79),QUAL(33),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 80 66.2 */
  if((ch_returncode = cp_table(& ch_val, REF(66)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).value = ch_val;
  REF(80).tsdr = & dr_table;
/* initget 81 80 , 0,0 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(81),DEF(80),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c146:
/* get_or_goto 81 80 , 170 */
  if ((ch_returncode = get_selected_object(DEF(81),DEF(80),sched)) != Normal)
     goto c170;
/* boolean 82 , FALSE */
  REF(82).value.boolean = FALSE;
  REF(82).tsdr = & dr_boolean;
/* find_or_goto 83 78 81.0 , 0,150 */
  if (findfunc(DEF(83),DEF(78),(
          arguments[0] = DEF(81)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto c150;
/* boolean 82 , TRUE */
  REF(82).value.boolean = TRUE;
  REF(82).tsdr = & dr_boolean;
c150:
/* not 84 82 */
  REF(84).value.boolean = !REF(82).value.boolean;
  REF(84).tsdr = & dr_boolean;
/* branch_false 84 , 146 */
  if ( !REF(84).value.boolean ) goto c146;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* block , 34 */
  if((ch_returncode = che_block(QUAL(34),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 53;
cb154:
/* call 43 81 66.0 50 8 85 86 , 35 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(43),
          arguments[1] = DEF(81),
          arguments[2] = DEF(66)DOT(0),
          arguments[3] = DEF(50),
          arguments[4] = DEF(8),
          arguments[5] = DEF(85),
          arguments[6] = DEF(86),
          arguments[6+1] = nil,& arguments[0]),QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
  return;
c155:
/* merge 79 86 */
  if ((ch_returncode = mergefunc(DEF(79),DEF(86),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 168 */
   goto c168;
c158:
/* copy 87 85 */
  if((ch_returncode = cp_table(& ch_val, REF(85).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).value = ch_val;
  REF(87).tsdr = & dr_table;
/* initget 88 87 , 0,0 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(88),DEF(87),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c160:
/* get_or_goto 88 87 , 166 */
  if ((ch_returncode = get_selected_object(DEF(88),DEF(87),sched)) != Normal)
     goto c166;
/* new_record 89 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).value = ch_val; REF(89).tsdr = & dr_record;
/* copy 89.0 81.0 */
  if((ch_returncode = (REF(81)DOT(0).tsdr->copy)(& ch_val, REF(81)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(89)DOT(0).tsdr)->finalize)(REF(89)DOT(0).value,F_DISCARD,sched);
  REF(89)DOT(0).value = ch_val;
  REF(89)DOT(0).tsdr = datarepmap[REF(81)DOT(0).tsdr->number];
/* copy 89.1 88 */
  if((ch_returncode = (REF(88).tsdr->copy)(& ch_val, REF(88).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(89)DOT(1).tsdr)->finalize)(REF(89)DOT(1).value,F_DISCARD,sched);
  REF(89)DOT(1).value = ch_val;
  REF(89)DOT(1).tsdr = datarepmap[REF(88).tsdr->number];
/* insert 68.1 89 */
  if ((ch_returncode = insertfunc(DEF(68)DOT(1),DEF(89),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 160 */
   goto c160;
c166:
/* endget 88 87 */
  end_selector(DEF(88),DEF(87),sched,GET);
/* discard 87 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).tsdr = & dr_bottom;
c168:
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* branch , 146 */
   goto c146;
c170:
/* endget 81 80 */
  end_selector(DEF(81),DEF(80),sched,GET);
/* discard 80 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).tsdr = & dr_bottom;
/* size 90 68.1 */
  REF(90).value.integer = REF(68)DOT(1).value.table->size;
  REF(90).tsdr = & dr_integer;
/* equal . 90 =(0) , 177 */
  if ( REF(90).value.integer == 0 ) goto c177;
/* exit , 29 */
  ch_e = handler_type__exit; ch_val = QUAL(29); goto ch_exception;
c177:
/* new_table 91 , 33 */
  if ((ch_returncode = che_new_table(DEF(91),QUAL(33),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 92 , 33 */
  if ((ch_returncode = che_new_table(DEF(92),QUAL(33),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 93 , 33 */
  if ((ch_returncode = che_new_table(DEF(93),QUAL(33),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 94 66.2 */
  if((ch_returncode = cp_table(& ch_val, REF(66)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).value = ch_val;
  REF(94).tsdr = & dr_table;
/* initget 95 94 , 0,0 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(95),DEF(94),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c182:
/* get_or_goto 95 94 , 205 */
  if ((ch_returncode = get_selected_object(DEF(95),DEF(94),sched)) != Normal)
     goto c205;
/* boolean 96 , FALSE */
  REF(96).value.boolean = FALSE;
  REF(96).tsdr = & dr_boolean;
/* find_or_goto 97 78 95.0 , 0,186 */
  if (findfunc(DEF(97),DEF(78),(
          arguments[0] = DEF(95)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto c186;
/* boolean 96 , TRUE */
  REF(96).value.boolean = TRUE;
  REF(96).tsdr = & dr_boolean;
c186:
/* not 98 96 */
  REF(98).value.boolean = !REF(96).value.boolean;
  REF(98).tsdr = & dr_boolean;
/* branch_false 98 , 182 */
  if ( !REF(98).value.boolean ) goto c182;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* block , 36 */
  if((ch_returncode = che_block(QUAL(36),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 60;
cb190:
/* call 47 8 66 95 50 91 92 79 99 85 , 37 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(47),
          arguments[1] = DEF(8),
          arguments[2] = DEF(66),
          arguments[3] = DEF(95),
          arguments[4] = DEF(50),
          arguments[5] = DEF(91),
          arguments[6] = DEF(92),
          arguments[7] = DEF(79),
          arguments[8] = DEF(99),
          arguments[9] = DEF(85),
          arguments[9+1] = nil,& arguments[0]),QUAL(37),sched)) != Normal)
     goto ch_raise_exception;
  return;
c191:
/* merge 93 99 */
  if ((ch_returncode = mergefunc(DEF(93),DEF(99),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 182 */
   goto c182;
c194:
/* copy 100 85 */
  if((ch_returncode = cp_table(& ch_val, REF(85).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).value = ch_val;
  REF(100).tsdr = & dr_table;
/* initget 101 100 , 0,0 */
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(101),DEF(100),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c196:
/* get_or_goto 101 100 , 202 */
  if ((ch_returncode = get_selected_object(DEF(101),DEF(100)
    ,sched)) != Normal) goto c202;
/* new_record 102 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(102).tsdr)->finalize)(REF(102).value,F_DISCARD,sched);
  REF(102).value = ch_val; REF(102).tsdr = & dr_record;
/* copy 102.0 95.0 */
  if((ch_returncode = (REF(95)DOT(0).tsdr->copy)(& ch_val, REF(95)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(102)DOT(0).tsdr)->finalize)(REF(102)DOT(0).value,F_DISCARD,sched);
  REF(102)DOT(0).value = ch_val;
  REF(102)DOT(0).tsdr = datarepmap[REF(95)DOT(0).tsdr->number];
/* copy 102.1 101 */
  if((ch_returncode = (REF(101).tsdr->copy)(& ch_val, REF(101).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(102)DOT(1).tsdr)->finalize)(REF(102)DOT(1).value,F_DISCARD,sched);
  REF(102)DOT(1).value = ch_val;
  REF(102)DOT(1).tsdr = datarepmap[REF(101).tsdr->number];
/* insert 68.1 102 */
  if ((ch_returncode = insertfunc(DEF(68)DOT(1),DEF(102),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 196 */
   goto c196;
c202:
/* endget 101 100 */
  end_selector(DEF(101),DEF(100),sched,GET);
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* branch , 182 */
   goto c182;
c205:
/* endget 95 94 */
  end_selector(DEF(95),DEF(94),sched,GET);
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* size 103 68.1 */
  REF(103).value.integer = REF(68)DOT(1).value.table->size;
  REF(103).tsdr = & dr_integer;
/* equal . 103 =(0) , 212 */
  if ( REF(103).value.integer == 0 ) goto c212;
/* exit , 29 */
  ch_e = handler_type__exit; ch_val = QUAL(29); goto ch_exception;
c212:
/* endblock */
  che_endblock(sched);
/* branch , 250 */
   goto c250;
c214:
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* chs_lit 104 , "disconnected in block 2 of check.p" */
  if( !chs_lit(DEF(104),"disconnected in block 2 of check.p") )
     goto ch_depletion;
/* print 104 */
  re_print(stderr, 0, DEF(104)); fflush(stderr);
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* exit , 30 */
  ch_e = handler_type__exit; ch_val = QUAL(30); goto ch_exception;
c222:
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
/* chs_lit 105 , "dup key in block 2 of check.p" */
  if( !chs_lit(DEF(105),"dup key in block 2 of check.p") ) goto ch_depletion;
/* print 105 */
  re_print(stderr, 0, DEF(105)); fflush(stderr);
/* discard 105 */
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).tsdr = & dr_bottom;
/* exit , 30 */
  ch_e = handler_type__exit; ch_val = QUAL(30); goto ch_exception;
c232:
/* chs_lit 106 , "discarded in block 2 of check.p" */
  if( !chs_lit(DEF(106),"discarded in block 2 of check.p") )
     goto ch_depletion;
/* print 106 */
  re_print(stderr, 0, DEF(106)); fflush(stderr);
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
/* exit , 30 */
  ch_e = handler_type__exit; ch_val = QUAL(30); goto ch_exception;
c237:
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* discard 89 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).tsdr = & dr_bottom;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
/* discard 102 */
  (*(REF(102).tsdr)->finalize)(REF(102).value,F_DISCARD,sched);
  REF(102).tsdr = & dr_bottom;
/* chs_lit 107 , "error in block 2 of check.p" */
  if( !chs_lit(DEF(107),"error in block 2 of check.p") ) goto ch_depletion;
/* print 107 */
  re_print(stderr, 0, DEF(107)); fflush(stderr);
/* discard 107 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).tsdr = & dr_bottom;
/* exit , 30 */
  ch_e = handler_type__exit; ch_val = QUAL(30); goto ch_exception;
c250:
/* block , 38 */
  if((ch_returncode = che_block(QUAL(38),sched)) != Normal)
     goto ch_raise_exception;
/* new_table 108 , 33 */
  if ((ch_returncode = che_new_table(DEF(108),QUAL(33),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 109 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).value = ch_val; REF(109).tsdr = & dr_record;
/* chs_lit 109.0 , "Module Name" */
  if( !chs_lit(DEF(109)DOT(0),"Module Name") ) goto ch_depletion;
/* chs_lit 110 , "absprog" */
  if( !chs_lit(DEF(110),"absprog") ) goto ch_depletion;
/* wrap 109.1 110 , 39 */
  if ((ch_returncode = che_wrap(DEF(109)DOT(1),DEF(110),QUAL(39)
    ,sched)) != Normal) goto ch_raise_exception;
/* insert 108 109 */
  if ((ch_returncode = insertfunc(DEF(108),DEF(109),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 109 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).value = ch_val; REF(109).tsdr = & dr_record;
/* chs_lit 109.0 , "Inferred Definitions" */
  if( !chs_lit(DEF(109)DOT(0),"Inferred Definitions") ) goto ch_depletion;
/* wrap 109.1 79 , 40 */
  if ((ch_returncode = che_wrap(DEF(109)DOT(1),DEF(79),QUAL(40)
    ,sched)) != Normal) goto ch_raise_exception;
/* insert 108 109 */
  if ((ch_returncode = insertfunc(DEF(108),DEF(109),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 109 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).value = ch_val; REF(109).tsdr = & dr_record;
/* chs_lit 109.0 , "Coercions" */
  if( !chs_lit(DEF(109)DOT(0),"Coercions") ) goto ch_depletion;
/* wrap 109.1 93 , 41 */
  if ((ch_returncode = che_wrap(DEF(109)DOT(1),DEF(93),QUAL(41)
    ,sched)) != Normal) goto ch_raise_exception;
/* insert 108 109 */
  if ((ch_returncode = insertfunc(DEF(108),DEF(109),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 109 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).value = ch_val; REF(109).tsdr = & dr_record;
/* chs_lit 109.0 , "Process Print Map" */
  if( !chs_lit(DEF(109)DOT(0),"Process Print Map") ) goto ch_depletion;
/* copy 111 92 */
  if((ch_returncode = cp_table(& ch_val, REF(92).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(111).tsdr)->finalize)(REF(111).value,F_DISCARD,sched);
  REF(111).value = ch_val;
  REF(111).tsdr = & dr_table;
/* wrap 109.1 111 , 42 */
  if ((ch_returncode = che_wrap(DEF(109)DOT(1),DEF(111),QUAL(42)
    ,sched)) != Normal) goto ch_raise_exception;
/* insert 108 109 */
  if ((ch_returncode = insertfunc(DEF(108),DEF(109),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 109 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).value = ch_val; REF(109).tsdr = & dr_record;
/* chs_lit 109.0 , "Definitions Print Map" */
  if( !chs_lit(DEF(109)DOT(0),"Definitions Print Map") ) goto ch_depletion;
/* copy 112 91 */
  if((ch_returncode = cp_table(& ch_val, REF(91).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(112).tsdr)->finalize)(REF(112).value,F_DISCARD,sched);
  REF(112).value = ch_val;
  REF(112).tsdr = & dr_table;
/* wrap 109.1 112 , 43 */
  if ((ch_returncode = che_wrap(DEF(109)DOT(1),DEF(112),QUAL(43)
    ,sched)) != Normal) goto ch_raise_exception;
/* insert 108 109 */
  if ((ch_returncode = insertfunc(DEF(108),DEF(109),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 298 */
   goto c298;
c282:
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* discard 109 */
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).tsdr = & dr_bottom;
/* discard 110 */
  (*(REF(110).tsdr)->finalize)(REF(110).value,F_DISCARD,sched);
  REF(110).tsdr = & dr_bottom;
/* discard 111 */
  (*(REF(111).tsdr)->finalize)(REF(111).value,F_DISCARD,sched);
  REF(111).tsdr = & dr_bottom;
/* discard 112 */
  (*(REF(112).tsdr)->finalize)(REF(112).value,F_DISCARD,sched);
  REF(112).tsdr = & dr_bottom;
/* chs_lit 113 , "error in block 3 of check.p" */
  if( !chs_lit(DEF(113),"error in block 3 of check.p") ) goto ch_depletion;
/* print 113 */
  re_print(stderr, 0, DEF(113)); fflush(stderr);
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* exit , 30 */
  ch_e = handler_type__exit; ch_val = QUAL(30); goto ch_exception;
c298:
/* new_table 114 , 33 */
  if ((ch_returncode = che_new_table(DEF(114),QUAL(33),sched)) != Normal) 
     goto ch_raise_exception;
  current->ip = 72;
cb299:
/* call 54 66 108 114 8.1 8.3 115 , 44 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54),
          arguments[1] = DEF(66),
          arguments[2] = DEF(108),
          arguments[3] = DEF(114),
          arguments[4] = DEF(8)DOT(1),
          arguments[5] = DEF(8)DOT(3),
          arguments[6] = DEF(115),
          arguments[6+1] = nil,& arguments[0]),QUAL(44),sched)) != Normal)
     goto ch_raise_exception;
  return;
c300:
/* noop */
  
/* copy 116 66.2 */
  if((ch_returncode = cp_table(& ch_val, REF(66)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(116).tsdr)->finalize)(REF(116).value,F_DISCARD,sched);
  REF(116).value = ch_val;
  REF(116).tsdr = & dr_table;
/* initget 117 116 , 0,0 */
  (*(REF(117).tsdr)->finalize)(REF(117).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(117),DEF(116),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c303:
/* get_or_goto 117 116 , 330 */
  if ((ch_returncode = get_selected_object(DEF(117),DEF(116)
    ,sched)) != Normal) goto c330;
/* boolean 118 , FALSE */
  REF(118).value.boolean = FALSE;
  REF(118).tsdr = & dr_boolean;
/* find_or_goto 119 78 117.0 , 0,307 */
  if (findfunc(DEF(119),DEF(78),(
          arguments[0] = DEF(117)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto c307;
/* boolean 118 , TRUE */
  REF(118).value.boolean = TRUE;
  REF(118).tsdr = & dr_boolean;
c307:
/* not 120 118 */
  REF(120).value.boolean = !REF(118).value.boolean;
  REF(120).tsdr = & dr_boolean;
/* branch_false 120 , 303 */
  if ( !REF(120).value.boolean ) goto c303;
/* block , 45 */
  if((ch_returncode = che_block(QUAL(45),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 75;
cb310:
/* call 115 117 121 85 , 46 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(115),
          arguments[1] = DEF(117),
          arguments[2] = DEF(121),
          arguments[3] = DEF(85),
          arguments[3+1] = nil,& arguments[0]),QUAL(46),sched)) != Normal)
     goto ch_raise_exception;
  return;
c311:
/* new_record 122 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(122).tsdr)->finalize)(REF(122).value,F_DISCARD,sched);
  REF(122).value = ch_val; REF(122).tsdr = & dr_record;
/* copy 122.0 117.0 */
  if((ch_returncode = (REF(117)DOT(0).tsdr->copy)(& ch_val, 
    REF(117)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(122)DOT(0).tsdr)->finalize)(REF(122)DOT(0).value,F_DISCARD,sched);
  REF(122)DOT(0).value = ch_val;
  REF(122)DOT(0).tsdr = datarepmap[REF(117)DOT(0).tsdr->number];
/* copy 122.1 121 */
  if((ch_returncode = (REF(121).tsdr->copy)(& ch_val, REF(121).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(122)DOT(1).tsdr)->finalize)(REF(122)DOT(1).value,F_DISCARD,sched);
  REF(122)DOT(1).value = ch_val;
  REF(122)DOT(1).tsdr = datarepmap[REF(121).tsdr->number];
/* insert 78 122 */
  if ((ch_returncode = insertfunc(DEF(78),DEF(122),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 327 */
   goto c327;
c317:
/* copy 123 85 */
  if((ch_returncode = cp_table(& ch_val, REF(85).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(123).tsdr)->finalize)(REF(123).value,F_DISCARD,sched);
  REF(123).value = ch_val;
  REF(123).tsdr = & dr_table;
/* initget 124 123 , 0,0 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(124),DEF(123),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c319:
/* get_or_goto 124 123 , 325 */
  if ((ch_returncode = get_selected_object(DEF(124),DEF(123)
    ,sched)) != Normal) goto c325;
/* new_record 125 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(125).tsdr)->finalize)(REF(125).value,F_DISCARD,sched);
  REF(125).value = ch_val; REF(125).tsdr = & dr_record;
/* copy 125.0 117.0 */
  if((ch_returncode = (REF(117)DOT(0).tsdr->copy)(& ch_val, 
    REF(117)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(125)DOT(0).tsdr)->finalize)(REF(125)DOT(0).value,F_DISCARD,sched);
  REF(125)DOT(0).value = ch_val;
  REF(125)DOT(0).tsdr = datarepmap[REF(117)DOT(0).tsdr->number];
/* copy 125.1 124 */
  if((ch_returncode = (REF(124).tsdr->copy)(& ch_val, REF(124).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(125)DOT(1).tsdr)->finalize)(REF(125)DOT(1).value,F_DISCARD,sched);
  REF(125)DOT(1).value = ch_val;
  REF(125)DOT(1).tsdr = datarepmap[REF(124).tsdr->number];
/* insert 68.1 125 */
  if ((ch_returncode = insertfunc(DEF(68)DOT(1),DEF(125),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 319 */
   goto c319;
c325:
/* endget 124 123 */
  end_selector(DEF(124),DEF(123),sched,GET);
/* discard 123 */
  (*(REF(123).tsdr)->finalize)(REF(123).value,F_DISCARD,sched);
  REF(123).tsdr = & dr_bottom;
c327:
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* branch , 303 */
   goto c303;
c330:
/* endget 117 116 */
  end_selector(DEF(117),DEF(116),sched,GET);
/* discard 116 */
  (*(REF(116).tsdr)->finalize)(REF(116).value,F_DISCARD,sched);
  REF(116).tsdr = & dr_bottom;
/* size 126 68.1 */
  REF(126).value.integer = REF(68)DOT(1).value.table->size;
  REF(126).tsdr = & dr_integer;
/* equal . 126 =(0) , 337 */
  if ( REF(126).value.integer == 0 ) goto c337;
/* exit , 29 */
  ch_e = handler_type__exit; ch_val = QUAL(29); goto ch_exception;
c337:
  current->ip = 81;
cb337:
/* call 61 66 78 , 47 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(61),
          arguments[1] = DEF(66),
          arguments[2] = DEF(78),
          arguments[2+1] = nil,& arguments[0]),QUAL(47),sched)) != Normal)
     goto ch_raise_exception;
  return;
c338:
/* call 58 68.0 , 48 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(58),
          arguments[1] = DEF(68)DOT(0),
          arguments[1+1] = nil,& arguments[0]),QUAL(48),sched)) != Normal)
     goto ch_raise_exception;
  return;
c339:
/* return 68 */
  if (ch_caller = do_return(REF(68).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(68).value);
  REF(68).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 352 */
   goto c352;
c342:
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* discard 114 */
  (*(REF(114).tsdr)->finalize)(REF(114).value,F_DISCARD,sched);
  REF(114).tsdr = & dr_bottom;
/* discard 115 */
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* return_exception 68 , 49 */
  if (ch_caller = do_return(REF(68).value)) {
    raise_user(QUAL(49),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(68),QUAL(49));
  REF(68).tsdr = & dr_bottom;
c352:
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* discard 114 */
  (*(REF(114).tsdr)->finalize)(REF(114).value,F_DISCARD,sched);
  REF(114).tsdr = & dr_bottom;
/* discard 115 */
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).tsdr = & dr_bottom;
/* branch , 91 */
   goto c91;
c358:
/* endblock */
  che_endblock(sched);
/* branch , 571 */
   goto c571;
c360:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* discard 114 */
  (*(REF(114).tsdr)->finalize)(REF(114).value,F_DISCARD,sched);
  REF(114).tsdr = & dr_bottom;
/* discard 115 */
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* branch , 571 */
   goto c571;
c407:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* branch , 571 */
   goto c571;
c441:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* chs_lit 127 , "the impossible happened in check.p!" */
  if( !chs_lit(DEF(127),"the impossible happened in check.p!") )
     goto ch_depletion;
/* print 127 */
  re_print(stderr, 0, DEF(127)); fflush(stderr);
/* discard 127 */
  (*(REF(127).tsdr)->finalize)(REF(127).value,F_DISCARD,sched);
  REF(127).tsdr = & dr_bottom;
/* branch , 571 */
   goto c571;
c478:
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* chs_lit 128 , "Should not occur; check.p dying" */
  if( !chs_lit(DEF(128),"Should not occur; check.p dying") )
     goto ch_depletion;
/* print 128 */
  re_print(stderr, 0, DEF(128)); fflush(stderr);
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
/* branch , 571 */
   goto c571;
c490:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 49 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* discard 114 */
  (*(REF(114).tsdr)->finalize)(REF(114).value,F_DISCARD,sched);
  REF(114).tsdr = & dr_bottom;
/* discard 115 */
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* discard 121 */
  (*(REF(121).tsdr)->finalize)(REF(121).value,F_DISCARD,sched);
  REF(121).tsdr = & dr_bottom;
/* discard 122 */
  (*(REF(122).tsdr)->finalize)(REF(122).value,F_DISCARD,sched);
  REF(122).tsdr = & dr_bottom;
/* discard 125 */
  (*(REF(125).tsdr)->finalize)(REF(125).value,F_DISCARD,sched);
  REF(125).tsdr = & dr_bottom;
/* chs_lit 129 , "Whoa! unhandled exception in check.p!" */
  if( !chs_lit(DEF(129),"Whoa! unhandled exception in check.p!") )
     goto ch_depletion;
/* print 129 */
  re_print(stderr, 0, DEF(129)); fflush(stderr);
/* discard 129 */
  (*(REF(129).tsdr)->finalize)(REF(129).value,F_DISCARD,sched);
  REF(129).tsdr = & dr_bottom;
c571:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c611:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
